#!/bin/bash

REGION="W025"
PATIENCE="10"
HIDDEN_SIZE="32"
LOG_SCALE_OPTIONS=("True" "False")

# --- RNN ---
CELL_TYPE="rnn"
ATTENTION="True"
DROPOUT="0.0"
TEACHER_FORCING="0.0"
for LOG_SCALE in "${LOG_SCALE_OPTIONS[@]}"; do
  echo "Submitting RNN | tf=$TEACHER_FORCING | log_scale=$LOG_SCALE"
  sbatch -A bsc32 -q acc_bsces launch_training_rnn_multiconfig.sh \
    $CELL_TYPE $ATTENTION $DROPOUT $HIDDEN_SIZE $PATIENCE $REGION $TEACHER_FORCING $LOG_SCALE
  sleep 1
done

# --- GRU ---
CELL_TYPE="gru"
ATTENTION="True"
DROPOUT="0.25"
TEACHER_FORCING="0.5"
for LOG_SCALE in "${LOG_SCALE_OPTIONS[@]}"; do
  echo "Submitting GRU | dropout=$DROPOUT | tf=$TEACHER_FORCING | log_scale=$LOG_SCALE"
  sbatch -A bsc32 -q acc_bsces launch_training_rnn_multiconfig.sh \
    $CELL_TYPE $ATTENTION $DROPOUT $HIDDEN_SIZE $PATIENCE $REGION $TEACHER_FORCING $LOG_SCALE
  sleep 1
done

# --- LSTM ---
CELL_TYPE="lstm"
ATTENTION="True"
DROPOUT="0.25"
TEACHER_FORCING="0.25"
for LOG_SCALE in "${LOG_SCALE_OPTIONS[@]}"; do
  echo "Submitting LSTM | dropout=$DROPOUT | tf=$TEACHER_FORCING | log_scale=$LOG_SCALE"
  sbatch -A bsc32 -q acc_bsces launch_training_rnn_multiconfig.sh \
    $CELL_TYPE $ATTENTION $DROPOUT $HIDDEN_SIZE $PATIENCE $REGION $TEACHER_FORCING $LOG_SCALE
  sleep 1
done
